Bug 1285326 (CVE-2015-7515) - CVE-2015-7515 kernel: aiptek: crash on invalid USB device descriptors
Summary: CVE-2015-7515 kernel: aiptek: crash on invalid USB device descriptors
Status: CLOSED WONTFIX
Alias: CVE-2015-7515
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151125,reported=2...
Keywords: Security
Depends On: 1283350 1285331
Blocks: 1283654
TreeView+ depends on / blocked
 
Reported: 2015-11-25 12:00 UTC by Vladis Dronov
Modified: 2019-06-08 20:51 UTC (History)
34 users (show)

(edit)
An out-of-bounds memory access flaw was found in the Linux kernel's aiptek USB tablet driver (aiptek_probe() function in drivers/input/tablet/aiptek.c). The driver assumed that the interface always had at least one endpoint. By using a specially crafted USB device with no endpoints on one of its interfaces, an unprivileged user with physical access to the system could trigger a kernel NULL pointer dereference, causing the system to panic.
Clone Of:
(edit)
Last Closed: 2015-11-25 22:56:21 UTC


Attachments (Terms of Use)

Description Vladis Dronov 2015-11-25 12:00:05 UTC
An out-of-bounds memory access flaw was found in aiptek USB tablet driver in aiptek_probe() function in drivers/input/tablet/aiptek.c. The driver assumes that the interface always has at least one endpoint. By using a specially crafted USB device with no endpoints on one of its interfaces an unprivileged user with a physical access to the system can trigger a kernel NULL pointer dereference causing the system to panic.

Acknowledgements:

Red Hat would like to thank Ralf Spenneberg of OpenSource Security for reporting this issue.

References:

Proposed upstream patch: http://www.spinics.net/lists/linux-input/msg42294.html

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8e20cf2bce122ce9262d6034ee5d5b76fbb92f96

Comment 1 Vladis Dronov 2015-11-25 12:03:51 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1285331]

Comment 5 Vladis Dronov 2015-11-25 22:56:21 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2, as the driver with the flaw is present in the products listed.

This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 Vladis Dronov 2015-11-25 23:11:32 UTC
References:

Proposed upstream patch: http://www.spinics.net/lists/linux-input/msg42294.html

Comment 7 Fedora Update System 2015-12-16 08:24:23 UTC
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-12-16 09:51:19 UTC
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-16 14:35:28 UTC
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.